---
title: VideoPlaybackQuality.totalVideoFrames
slug: Web/API/VideoPlaybackQuality/totalVideoFrames
tags:
  - API
  - Experimental
  - Frames
  - HTML DOM
  - Media
  - Media Playback Quality
  - Media Playback Quality API
  - Playback
  - Property
  - Quality
  - Reference
  - Video
  - VideoPlaybackQuality
  - totalVideoFrames
---
<p>{{APIRef("HTML DOM")}}</p>

<p><span class="seoSummary">The {{domxref("VideoPlaybackQuality")}} interface's <code><strong>totalVideoFrames</strong></code> read-only property returns the total number of video frames that have been displayed or dropped since the media was loaded.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>value</em> = <em>videoPlaybackQuality</em>.totalVideoFrames;</pre>

<h3 id="Value">Value</h3>

<p>The total number of frames that the {{HTMLElement("video")}} element has displayed or dropped since the media was loaded into it. Essentially, this is the number of frames the element <em>would have presented</em> had no problems occurred.</p>

<p>This value is reset when the media is reloaded or replaced.</p>

<h2 id="Example">Example</h2>

<p>This example calls {{domxref("HTMLVideoElement.getVideoPlaybackQuality", "getVideoPlaybackQuality()")}} to obtain a {{domxref("VideoPlaybackQuality")}} object, then determines what percentage of frames have been lost by either corruption or being dropped. If that exceeds 10% (0.1), a function called <code>lostFramesThresholdExceeded()</code> is called to, perhaps, update a quality indicator to show an increase in frame loss.</p>

<pre class="brush: js">var videoElem = document.getElementById("my_vid");
var quality = videoElem.getVideoPlaybackQuality();

if ((quality.corruptedVideoFrames + quality.droppedVideoFrames)/quality.totalVideoFrames &gt; 0.1) {
  lostFramesThresholdExceeded();
}</pre>

<p>A similar algorithm might be used to attempt to switch to a lower-resolution video that requires less bandwidth, in order to avoid dropping frames.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Media Playback Quality', '#videoplaybackquality-interface', 'VideoPlaybackQuality.totalVideoFrames')}}</td>
			<td>{{Spec2('Media Playback Quality')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.VideoPlaybackQuality.totalVideoFrames")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
	<li>The {{domxref("HTMLVideoElement.getVideoPlaybackQuality()")}} method for constructing and returning this interface.</li>
</ul>
